import { itemGenerated } from "../Classes/itemGenerated";
import { itemRequest } from "../Classes/itemRequest";
import { generateItemByType } from "./itemGeneration";

export function request(socket, data){
    if(!socket.hasOwnProperty("user")) return;

    let buff = Buffer.from(data, 'base64');
    let data1 : itemRequest = JSON.parse(buff.toString('utf-8'));

    let response = new itemGenerated()
    response.instanceId = data1.instanceId
    response.item = generateItemByType(data1.itemType)
    
    socket.emit("item/generated", JSON.stringify(response))
}